Bug 1003300 - [abrt] Terminal-0.4.8-4.fc18: __strcmp_sse42: Process /usr/bin/Terminal was killed by signal 11 (SIGSEGV)
[abrt] Terminal-0.4.8-4.fc18: __strcmp_sse42: Process /usr/bin/Terminal was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Terminal (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:474998440b2706023873f3f8a8d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 16:51 EDT by Frank Dittrich
Modified: 2014-02-05 18:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:14:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.68 KB, text/plain)
2013-09-01 16:51 EDT, Frank Dittrich
no flags Details
File: cgroup (125 bytes, text/plain)
2013-09-01 16:51 EDT, Frank Dittrich
no flags Details
File: core_backtrace (4.81 KB, text/plain)
2013-09-01 16:51 EDT, Frank Dittrich
no flags Details
File: dso_list (7.12 KB, text/plain)
2013-09-01 16:51 EDT, Frank Dittrich
no flags Details
File: environ (1.58 KB, text/plain)
2013-09-01 16:51 EDT, Frank Dittrich
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-01 16:51 EDT, Frank Dittrich
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-01 16:52 EDT, Frank Dittrich
no flags Details
File: maps (32.13 KB, text/plain)
2013-09-01 16:52 EDT, Frank Dittrich
no flags Details
File: open_fds (281 bytes, text/plain)
2013-09-01 16:52 EDT, Frank Dittrich
no flags Details
File: proc_pid_status (926 bytes, text/plain)
2013-09-01 16:52 EDT, Frank Dittrich
no flags Details
File: var_log_messages (571 bytes, text/plain)
2013-09-01 16:52 EDT, Frank Dittrich
no flags Details
dmesg output (83.86 KB, text/plain)
2013-09-13 13:35 EDT, Frank Dittrich
no flags Details
dmesg output after reboot - problems are gone (no segfaults). (76.81 KB, text/plain)
2013-09-14 19:20 EDT, Frank Dittrich
no flags Details

  None (edit)
Description Frank Dittrich 2013-09-01 16:51:38 EDT
Version-Release number of selected component:
Terminal-0.4.8-4.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/Terminal
crash_function: __strcmp_sse42
executable:     /usr/bin/Terminal
kernel:         3.10.9-100.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strcmp_sse42 at ../sysdeps/x86_64/multiarch/strcmp-sse42.S:480
 #1 _gtk_icon_cache_has_icon at gtkiconcache.c:353
 #2 gtk_icon_theme_has_icon at gtkicontheme.c:1588
 #3 gtk_action_group_add_actions_full at gtkactiongroup.c:1048
 #4 gtk_action_group_add_actions at gtkactiongroup.c:965
 #5 terminal_window_init at terminal-window.c:338
 #6 g_type_create_instance at gtype.c:1890
 #7 g_object_constructor at gobject.c:1854
 #10 terminal_window_new at terminal-window.c:1667
 #11 terminal_app_create_window at terminal-app.c:217
Comment 1 Frank Dittrich 2013-09-01 16:51:42 EDT
Created attachment 792664 [details]
File: backtrace
Comment 2 Frank Dittrich 2013-09-01 16:51:47 EDT
Created attachment 792665 [details]
File: cgroup
Comment 3 Frank Dittrich 2013-09-01 16:51:50 EDT
Created attachment 792666 [details]
File: core_backtrace
Comment 4 Frank Dittrich 2013-09-01 16:51:53 EDT
Created attachment 792667 [details]
File: dso_list
Comment 5 Frank Dittrich 2013-09-01 16:51:56 EDT
Created attachment 792668 [details]
File: environ
Comment 6 Frank Dittrich 2013-09-01 16:51:59 EDT
Created attachment 792669 [details]
File: exploitable
Comment 7 Frank Dittrich 2013-09-01 16:52:03 EDT
Created attachment 792670 [details]
File: limits
Comment 8 Frank Dittrich 2013-09-01 16:52:06 EDT
Created attachment 792671 [details]
File: maps
Comment 9 Frank Dittrich 2013-09-01 16:52:09 EDT
Created attachment 792672 [details]
File: open_fds
Comment 10 Frank Dittrich 2013-09-01 16:52:12 EDT
Created attachment 792673 [details]
File: proc_pid_status
Comment 11 Frank Dittrich 2013-09-01 16:52:15 EDT
Created attachment 792674 [details]
File: var_log_messages
Comment 12 Kevin Fenzi 2013-09-01 17:50:24 EDT
What were you doing when this happened?

Can you duplicate it?
Comment 13 Frank Dittrich 2013-09-13 04:36:31 EDT
I was just trying to start /usr/bin/Terminal.
When this happened, I could reproduce this every time i tried to start /usr/bin/Terminal, either from the panel or from the command line in another terminal emulator.

But after rebooting, the problem was gone.

Today, the same problem occurred again. Not sure yet what might be different when the problem occurs. But once it occurs, it is repeatable reliably (meaning: every time I try to start /usr/bin/Terminal).


I guess my current setup is quite unusual.

I Installed Fedora on a 32GB USB stick (USB 2.0):

 # fdisk -l /dev/sdb

Disk /dev/sdb: 32.0 GB, 32018268160 bytes, 62535680 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x0004cb2e

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1   *        2048     1026047      512000   83  Linux
/dev/sdb2         1026048    62535679    30754816   83  Linux

/dev/sdb1 contains /boot, /dev/sdb2 is encrypted (LUKS) and contains the encrypted root fs and swap.

This setup might cause delays which are quite unusual.

But the segfault when starting /usr/bin/Terminal started to happen only very recently. And it didn't happen for more than a week now.

What else can I do to help you analyse the problem?
I try to avoid rebooting the system, so that I can reliably reproduce the segfault.
Comment 14 Frank Dittrich 2013-09-13 05:22:19 EDT
BTW: Apparently, (some) other programs are affected as well. Usually, these don't crash. But now I reliablyget segfaults.

$ /usr/bin/ristretto 
Segmentation fault (core dumped)

$ /usr/bin/gedit
Segmentation fault (core dumped)

$ /usr/bin/evince
Segmentation fault (core dumped)

So, probably there's something else wrong.
Could this be hardware related?
But why don't these problems occur most of the times?

Should I create separate bug reports for gedit, ristretto, evince (and other pograms that segfault now)?
Comment 15 Frank Dittrich 2013-09-13 10:43:41 EDT
For some of the programs, I created new bug reports (just in case you want to search for similarities).

ristretto:
https://bugzilla.redhat.com/show_bug.cgi?id=1007795

gedit:
https://bugzilla.redhat.com/show_bug.cgi?id=1007813

evince:
https://bugzilla.redhat.com/show_bug.cgi?id=1007862


Others segfault as well, but I did not yet create separate bug reports for them:

/usr/bin/eog
/usr/bin/brasero
/usr/bin/pragha

(Let me know if you think you need more samples from other, similar segfaults.
Comment 16 Kevin Fenzi 2013-09-13 12:53:26 EDT
If all those things are crashing the same way like that it's very unlikely to be bugs in each one. :) 

Can you attach 'dmesg' output? 

Also, can you get a backtrace from any one of the crashing programs?
http://fedoraproject.org/wiki/StackTraces should provide info on doing that. 

This sounds like either a base library is corrupted, or hardware going bad. ;(
Comment 17 Frank Dittrich 2013-09-13 13:35:59 EDT
Created attachment 797452 [details]
dmesg output
Comment 18 Frank Dittrich 2013-09-13 13:43:26 EDT
I also suspect either some library or hardware.
Trouble is, I don't know yet, what triggers the problem.

Most of the time, everything just works.

But when I manage to get these segfaults, I can reproduce them reliably.

Let me know if I can perform additional tests.

Meanwhile I was able to reliably produce segfaults in 
/usr/bin/xfce4-panel
/usr/bin/geany

Not sure yet whether this one is related:
/usr/bin/gnome-disks was killed by signal 5 (SIGTRAP)

 $ /usr/bin/gnome-disks

(gnome-disks:6469): GNOME-Disks-ERROR **: Error loading UI file /usr/share/gnome-disk-utility/disks.ui: Error on line 1180 char 49: Invalid UTF-8 encoded text in name - not valid 'ob"F\x8d\x81\u001a\xa5HDn\xf7W\xaf\xe3'
Trace/breakpoint trap (core dumped)

But the others all segfault in __strcmp_sse42.

Should I submit bug reports for all of them, so that you can compare the stack traces?
Comment 19 Frank Dittrich 2013-09-13 14:17:38 EDT
Three backtraces should be included in the other bug reports, see the links in comment #15.  I'll add backtraces for other crashed programs a little later.
Comment 20 Kevin Fenzi 2013-09-13 15:02:43 EDT
Well, you're welcome to do as you like, but personally I wouldn't file more bugs. This is very likely due to one underlying issue, just filing more bugs means more people look at it and don't know what everyone else is doing to track it down. :(
Comment 21 Frank Dittrich 2013-09-13 17:15:42 EDT
BTW: It's also interesting how the time differs until the segfault occurs:


$ time /usr/bin/Terminal 
Segmentation fault (core dumped)

real	0m13.479s
user	0m0.049s
sys	0m0.021s


$ time /usr/bin/Terminal 
Segmentation fault (core dumped)

real	0m4.684s
user	0m0.049s
sys	0m0.022s


$ time /usr/bin/Terminal 
Segmentation fault (core dumped)

real	0m1.729s
user	0m0.048s
sys	0m0.024s


$ time /usr/bin/Terminal 
Segmentation fault (core dumped)

real	0m0.073s
user	0m0.047s
sys	0m0.015s



Similar for other programs:

eog:

$ time /usr/bin/eog 
Segmentation fault (core dumped)

real	0m5.363s
user	0m0.206s
sys	0m0.101s

$ time /usr/bin/eog 
Segmentation fault (core dumped)

real	0m13.070s
user	0m0.222s
sys	0m0.091s

$ time /usr/bin/eog 
Segmentation fault (core dumped)

real	0m9.941s
user	0m0.206s
sys	0m0.105s

geany:

$ time /usr/bin/geany
Segmentation fault (core dumped)

real	0m12.922s
user	0m0.381s
sys	0m0.071s

$ time /usr/bin/geany
Segmentation fault (core dumped)

real	0m0.410s
user	0m0.352s
sys	0m0.044s

$ time /usr/bin/geany
Segmentation fault (core dumped)

real	0m14.878s
user	0m0.379s
sys	0m0.075s


Here are the other bug reports, including backtraces:


/usr/bin/eog segfault:
https://bugzilla.redhat.com/show_bug.cgi?id=1008017

/usr/bin/geany segfault:
https://bugzilla.redhat.com/show_bug.cgi?id=1008034
Comment 22 Frank Dittrich 2013-09-13 17:24:01 EDT
OK, I'll not create more bug reports for similar segfaults than I already did now.
To reduce the risk of duplicate efforts, I tried to mention in all the other bug reports that they are probably related to this one, including a link to 
https://bugzilla.redhat.com/show_bug.cgi?id=1003300

Let me know whether I can do something useful before I reboot (and the problem most likely disappears).
Comment 23 Kevin Fenzi 2013-09-14 13:54:27 EDT
So, things to try moving forward: 

a) If you could get a more complete stack trace via gdb that would be helpful. 

b) Have there been any glibc updates for you recently? Any that happened around the time this issue started? You can look in /var/log/yum.log for a log of when packages were updated. 

c) Can you reboot and try running memtest86 on your machine? This should let us know if it's memory or cpu related. Usually its good to run such things overnight or so.
Comment 24 Frank Dittrich 2013-09-14 18:01:18 EDT
a)

I don't know if this is "more complete".

$ gdb /usr/bin/Terminal 
GNU gdb (GDB) Fedora (7.5.1-38.fc18)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/Terminal...Reading symbols from /usr/bin/Terminal...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Missing separate debuginfos, use: debuginfo-install Terminal-0.4.8-4.fc18.x86_64
(gdb) run
Starting program: /usr/bin/Terminal 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Program received signal SIGSEGV, Segmentation fault.
0x000000302e72fafb in __strcmp_sse42 () from /lib64/libc.so.6
(gdb) bt
#0  0x000000302e72fafb in __strcmp_sse42 () from /lib64/libc.so.6
#1  0x0000003041f11bf3 in _gtk_icon_cache_has_icon () from /lib64/libgtk-x11-2.0.so.0
#2  0x0000003041f19d54 in gtk_icon_theme_has_icon () from /lib64/libgtk-x11-2.0.so.0
#3  0x0000003041e793fa in gtk_action_group_add_actions_full () from /lib64/libgtk-x11-2.0.so.0
#4  0x000000000041b4f9 in terminal_window_init ()
#5  0x0000003031a3011f in g_type_create_instance () from /lib64/libgobject-2.0.so.0
#6  0x0000003031a14a38 in g_object_constructor () from /lib64/libgobject-2.0.so.0
#7  0x0000003031a16001 in g_object_newv () from /lib64/libgobject-2.0.so.0
#8  0x0000003031a16b3c in g_object_new () from /lib64/libgobject-2.0.so.0
#9  0x000000000041dcca in terminal_window_new ()
#10 0x000000000040f6d7 in terminal_app_create_window ()
#11 0x000000000040f8d8 in terminal_app_open_window ()
#12 0x000000000041049b in terminal_app_process ()
#13 0x000000000040d595 in main ()

And after debuginfo-install ...

#0  __strcmp_sse42 () at ../sysdeps/x86_64/multiarch/strcmp-sse42.S:234
#1  0x0000003041f11bf3 in _gtk_icon_cache_has_icon (cache=<optimized out>, icon_name=icon_name@entry=0x4226b9 "terminal-closetab") at gtkiconcache.c:353
#2  0x0000003041f19d54 in IA__gtk_icon_theme_has_icon (icon_theme=<optimized out>, icon_name=icon_name@entry=0x4226b9 "terminal-closetab") at gtkicontheme.c:1588
#3  0x0000003041e793fa in IA__gtk_action_group_add_actions_full (action_group=0x6ef0f0, entries=<optimized out>, n_entries=<optimized out>, user_data=0x6aa030, destroy=<optimized out>)
    at gtkactiongroup.c:1048
#4  0x0000003041e794a8 in IA__gtk_action_group_add_actions (action_group=<optimized out>, entries=<optimized out>, n_entries=<optimized out>, user_data=<optimized out>) at gtkactiongroup.c:965
#5  0x000000000041b4f9 in terminal_window_init (window=0x6aa030) at terminal-window.c:338
#6  0x0000003031a3011f in g_type_create_instance (type=7036928) at gtype.c:1890
#7  0x0000003031a14a38 in g_object_constructor (type=<optimized out>, n_construct_properties=2, construct_params=0x6ef8d0) at gobject.c:1854
#8  0x0000003031a16001 in g_object_newv (object_type=object_type@entry=7036928, n_parameters=n_parameters@entry=0, parameters=parameters@entry=0x0) at gobject.c:1718
#9  0x0000003031a16b3c in g_object_new (object_type=7036928, first_property_name=first_property_name@entry=0x0) at gobject.c:1547
#10 0x000000000041dcca in terminal_window_new (fullscreen=0, menubar=TERMINAL_VISIBILITY_DEFAULT, borders=TERMINAL_VISIBILITY_DEFAULT, toolbars=TERMINAL_VISIBILITY_DEFAULT) at terminal-window.c:1667
#11 0x000000000040f6d7 in terminal_app_create_window (app=app@entry=0x685140, fullscreen=<optimized out>, menubar=<optimized out>, borders=<optimized out>, toolbars=<optimized out>) at terminal-app.c:217
#12 0x000000000040f8d8 in terminal_app_open_window (app=app@entry=0x685140, attr=0x6e54f0) at terminal-app.c:460
#13 0x000000000041049b in terminal_app_process (app=app@entry=0x685140, argv=argv@entry=0x635930, argc=argc@entry=4, error=error@entry=0x7fffffffdf38) at terminal-app.c:564
#14 0x000000000040d595 in main (argc=1, argv=0x7fffffffe058) at main.c:255


Now let's compare this to the other crashing programs.

evince:
Program received signal SIGSEGV, Segmentation fault.
0x000000302e72fa96 in __strcmp_sse42 () from /lib64/libc.so.6
(gdb) bt
#0  0x000000302e72fa96 in __strcmp_sse42 () from /lib64/libc.so.6
#1  0x0000003041f5a393 in _gtk_icon_cache_has_icon () from /lib64/libgtk-3.so.0
#2  0x0000003041f63514 in gtk_icon_theme_has_icon () from /lib64/libgtk-3.so.0
#3  0x0000003041e9f01a in gtk_action_group_add_actions_full () from /lib64/libgtk-3.so.0
#4  0x0000000000435383 in ev_window_init ()
#5  0x0000003031a3011f in g_type_create_instance () from /lib64/libgobject-2.0.so.0
#6  0x0000003031a14a38 in g_object_constructor () from /lib64/libgobject-2.0.so.0
#7  0x0000003031a16001 in g_object_newv () from /lib64/libgobject-2.0.so.0
#8  0x0000003031a167f0 in g_object_new_valist () from /lib64/libgobject-2.0.so.0
#9  0x0000003031a16b24 in g_object_new () from /lib64/libgobject-2.0.so.0
#10 0x000000000043797f in ev_window_new ()
#11 0x000000000042316f in ev_application_open_window ()
#12 0x000000000041e173 in main ()

and eog:

0x000000302e72fafb in __strcmp_sse42 () from /lib64/libc.so.6
(gdb) bt
#0  0x000000302e72fafb in __strcmp_sse42 () from /lib64/libc.so.6
#1  0x0000003041f5a393 in _gtk_icon_cache_has_icon () from /lib64/libgtk-3.so.0
#2  0x0000003041f63514 in gtk_icon_theme_has_icon () from /lib64/libgtk-3.so.0
#3  0x0000003041e9f01a in gtk_action_group_add_actions_full () from /lib64/libgtk-3.so.0
#4  0x000000000043a213 in eog_window_constructor ()
#5  0x0000003031a16001 in g_object_newv () from /lib64/libgobject-2.0.so.0
#6  0x0000003031a167f0 in g_object_new_valist () from /lib64/libgobject-2.0.so.0
#7  0x0000003031a16b24 in g_object_new () from /lib64/libgobject-2.0.so.0
#8  0x00000000004396c8 in eog_window_new ()
#9  0x000000000041f0b8 in eog_application_open_window ()
#10 0x0000003031a0fbd7 in _g_closure_invoke_va () from /lib64/libgobject-2.0.so.0
#11 0x0000003031a283a8 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#12 0x0000003031a28de2 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#13 0x000000303269a618 in g_application_real_local_command_line () from /lib64/libgio-2.0.so.0
#14 0x000000303269a758 in g_application_run () from /lib64/libgio-2.0.so.0
#15 0x000000000041e1c0 in main ()


geany:
Program received signal SIGSEGV, Segmentation fault.
0x000000302e72faf7 in __strcmp_sse42 () from /lib64/libc.so.6
(gdb) bt
#0  0x000000302e72faf7 in __strcmp_sse42 () from /lib64/libc.so.6
#1  0x0000003041f11bf3 in _gtk_icon_cache_has_icon () from /lib64/libgtk-x11-2.0.so.0
#2  0x0000003041f19d54 in gtk_icon_theme_has_icon () from /lib64/libgtk-x11-2.0.so.0
#3  0x0000003041e793fa in gtk_action_group_add_actions_full () from /lib64/libgtk-x11-2.0.so.0
#4  0x000000000049f733 in toolbar_init ()
#5  0x000000000044abb9 in main ()


ristretto:
0x000000302e72fa96 in __strcmp_sse42 () from /lib64/libc.so.6
(gdb) bt
#0  0x000000302e72fa96 in __strcmp_sse42 () from /lib64/libc.so.6
#1  0x0000003041f11bf3 in _gtk_icon_cache_has_icon () from /lib64/libgtk-x11-2.0.so.0
#2  0x0000003041f19d54 in gtk_icon_theme_has_icon () from /lib64/libgtk-x11-2.0.so.0
#3  0x0000003041e793fa in gtk_action_group_add_actions_full () from /lib64/libgtk-x11-2.0.so.0
#4  0x000000000041c0de in rstto_main_window_init ()
#5  0x0000003031a3011f in g_type_create_instance () from /lib64/libgobject-2.0.so.0
#6  0x0000003031a14a38 in g_object_constructor () from /lib64/libgobject-2.0.so.0
#7  0x0000003031a16001 in g_object_newv () from /lib64/libgobject-2.0.so.0
#8  0x0000003031a16b3c in g_object_new () from /lib64/libgobject-2.0.so.0
#9  0x000000000041e7a1 in rstto_main_window_new ()
#10 0x000000000040d996 in main ()


gedit:
0x000000302e72faf7 in __strcmp_sse42 () from /lib64/libc.so.6
(gdb) bt
#0  0x000000302e72faf7 in __strcmp_sse42 () from /lib64/libc.so.6
#1  0x0000003041f5a393 in _gtk_icon_cache_has_icon () from /lib64/libgtk-3.so.0
#2  0x0000003041f63514 in gtk_icon_theme_has_icon () from /lib64/libgtk-3.so.0
#3  0x0000003041e9f01a in gtk_action_group_add_actions_full () from /lib64/libgtk-3.so.0
#4  0x000000000044ed0d in gedit_window_init ()
#5  0x0000003031a3011f in g_type_create_instance () from /lib64/libgobject-2.0.so.0
#6  0x0000003031a14a38 in g_object_constructor () from /lib64/libgobject-2.0.so.0
#7  0x0000003031a16001 in g_object_newv () from /lib64/libgobject-2.0.so.0
#8  0x0000003031a16b3c in g_object_new () from /lib64/libgobject-2.0.so.0
#9  0x000000000042833f in gedit_app_create_window_impl ()
#10 0x000000000042803f in gedit_app_create_window_real ()
#11 0x0000000000428db8 in gedit_app_create_window ()
#12 0x0000000000427933 in main ()

pragha:
$ gdb /usr/bin/pragha 
GNU gdb (GDB) Fedora (7.5.1-38.fc18)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/pragha...Reading symbols from /usr/bin/pragha...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Missing separate debuginfos, use: debuginfo-install pragha-1.1.1-1.fc18.x86_64
(gdb) run
Starting program: /usr/bin/pragha 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7ffff19b1700 (LWP 10996)]
[New Thread 0x7ffff11b0700 (LWP 10997)]

Program received signal SIGSEGV, Segmentation fault.
0x000000302e72fb28 in __strcmp_sse42 () from /lib64/libc.so.6
(gdb) bt
#0  0x000000302e72fb28 in __strcmp_sse42 () from /lib64/libc.so.6
#1  0x0000003041f11bf3 in _gtk_icon_cache_has_icon () from /lib64/libgtk-x11-2.0.so.0
#2  0x0000003041f19d54 in gtk_icon_theme_has_icon () from /lib64/libgtk-x11-2.0.so.0
#3  0x0000003041e793fa in gtk_action_group_add_actions_full () from /lib64/libgtk-x11-2.0.so.0
#4  0x000000000041e799 in create_menu ()
#5  0x0000000000424530 in init_gui ()
#6  0x00000000004138c7 in main ()


So, it's libgtk-x11 in all these cases.


b)

latest glibc update was:
Sep 05 14:37:13 Updated: glibc-common-2.16-34.fc18.x86_64
Sep 05 14:39:47 Updated: glibc-2.16-34.fc18.x86_64
Sep 05 14:49:43 Updated: glibc-headers-2.16-34.fc18.x86_64
Sep 05 14:51:02 Updated: glibc-devel-2.16-34.fc18.x86_64
Sep 05 15:08:42 Updated: glibc-2.16-34.fc18.i686

But the first time I noticed and reported the segfault was a few days earlier.
The previous glibc update was in July:
Jul 08 23:31:47 Updated: glibc-2.16-33.fc18.x86_64
Jul 08 23:35:17 Updated: glibc-common-2.16-33.fc18.x86_64
Jul 08 23:36:46 Updated: glibc-headers-2.16-33.fc18.x86_64
Jul 08 23:37:55 Updated: glibc-devel-2.16-33.fc18.x86_64
Jul 08 23:41:59 Updated: glibc-2.16-33.fc18.i686

updates of packages with gtk in their name:
Aug 04 22:23:44 Updated: gtk3-3.6.4-2.fc18.x86_64
Aug 04 23:01:35 Updated: gtk3-immodule-xim-3.6.4-2.fc18.x86_64
Aug 14 00:51:48 Updated: ibus-gtk2-1.5.3-1.fc18.x86_64
Aug 14 00:55:17 Updated: ibus-gtk3-1.5.3-1.fc18.x86_64
Aug 15 11:21:34 Updated: libnm-gtk-0.9.8.2-1.fc18.x86_64
Aug 23 19:29:20 Updated: libreport-gtk-2.1.6-2.fc18.x86_64


BUT:
Between September, 2nd and September, 12th, I never had any of these problems.
I'll check if they still occur after a reboot.
Comment 25 Frank Dittrich 2013-09-14 19:11:57 EDT
As I expected, after rebooting, the problems are gone. I'll attach dmesg output, just in case you might find interesting differences.
Comment 26 Frank Dittrich 2013-09-14 19:20:50 EDT
Created attachment 797755 [details]
dmesg output after reboot - problems are gone (no segfaults).
Comment 27 Frank Dittrich 2013-09-15 05:47:53 EDT
I let memtest86 run over night, it found no errors.
Comment 28 Kevin Fenzi 2013-09-15 13:55:48 EDT
ok, another question... what theme(s) do you have set? 

All of the crashes seem to be in icon caches in both gtk2 and gtk3 using apps. 

'xfconf-query -c xsettings -p /Net/IconThemeName' should give the icon theme, or you can look in xfce-theme-manager or settings.
Comment 29 Frank Dittrich 2013-09-15 15:28:04 EDT
$ xfconf-query -c xsettings -p /Net/IconThemeName
Fedora
Comment 30 Kevin Fenzi 2013-09-15 19:24:46 EDT
Yeah, thats the normal default. ;( 

So, this issue started happening on the 12th? can you see what packages were updated right before this started happening? (in /var/log/yum.log)
Comment 31 Frank Dittrich 2013-09-16 01:39:19 EDT
No, the issue didn't start on the 12th.

Reported: 	2013-09-01 16:51 EDT by Frank Dittrich 

But after rebooting, the problem was gone until September 13th.

On September, 1st, I didn't notice other programs segfaulting in the same way.
But I didn't search for other programs which might segfault.

Then, there was more than a week without these problems.
But, as expected, after a shutdown and the next boot, most of the problem was gone, except this one:
xfce4-panel segfaulted. I thought this problem would be related, because before the segfault, I'd notice that all the icons in one of the submenus were missing, and then it took between 5 and 20 seconds until the crash.
This problem also was 100 % repeatable, and it was always the same submenu.

After another reboot, xfce4-panel segfaulted, but I had to pick another menu (this time "Administration" instead of "Settings", all other menus worked as expected).

Because I wasn't absolutely sure this was the same problem, and because I hoped I might be able to reproduce this crash more frequently than the others, I submitted a new bug report:
https://bugzilla.redhat.com/show_bug.cgi?id=1008183
While the segfault occurs in __strcmp_sse42, and gtk is involved as well, the backtrace has some differences:
Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strcmp_sse42 at ../sysdeps/x86_64/multiarch/strcmp-sse42.S:162
 #1 find_image_offset at gtkiconcache.c:249
 #2 _gtk_icon_cache_get_icon_flags at gtkiconcache.c:283
 #3 theme_dir_get_icon_suffix at gtkicontheme.c:2072
 #4 theme_lookup_icon at gtkicontheme.c:2135
 #5 choose_icon at gtkicontheme.c:1274
 #6 gtk_icon_theme_lookup_icon at gtkicontheme.c:1445
 #7 gtk_icon_theme_load_icon at gtkicontheme.c:1541
 #8 IA__xfce_panel_pixbuf_from_source_at_size at xfce-panel-convenience.c:187
 #9 xfce_panel_image_load at xfce-panel-image.c:484

But meanwhile, this problem has gone as well.

Today I noticed that expanding any submenu for the first time took several seconds for all the icons in that submenu to appear, but there was no segfault.
And if the fan activity is any indication, those several seconds involved high CPU load.

Since the segfaults occur only sometimes (until I shutdown) and are gone after the next boot, I doubt that it really is related to one of the recent updates.


# grep gtk /var/log/yum.log 
Apr 28 20:09:45 Updated: libnm-gtk-0.9.8.1-2.git20130327.fc18.x86_64
May 19 19:59:13 Updated: lightdm-gtk-1.3.1-4.fc18.x86_64
May 21 19:15:37 Installed: webkitgtk3-1.10.2-3.fc18.x86_64
May 21 19:17:03 Installed: clutter-gtk-1.4.2-1.fc18.x86_64
May 21 20:11:32 Installed: gtksourceview3-3.6.3-1.fc18.x86_64
May 21 20:15:16 Installed: caribou-gtk2-module-0.4.4.2-7.fc18.x86_64
May 21 20:15:57 Installed: caribou-gtk3-module-0.4.4.2-7.fc18.x86_64
May 28 09:21:41 Updated: libnm-gtk-0.9.8.1-4.git20130514.fc18.x86_64
May 29 15:01:24 Updated: gtk2-2.24.18-1.fc18.x86_64
May 29 15:12:29 Updated: libreport-gtk-2.1.4-4.fc18.x86_64
May 29 15:21:43 Updated: gtk2-immodule-xim-2.24.18-1.fc18.x86_64
Jun 11 20:37:27 Updated: bluebird-gtk2-theme-0.7.1-1.fc18.noarch
Jun 11 20:38:38 Updated: bluebird-gtk3-theme-0.7.1-1.fc18.noarch
Jun 28 13:12:57 Updated: gtk2-2.24.19-1.fc18.x86_64
Jun 28 13:18:09 Updated: ibus-gtk2-1.5.2-4.fc18.x86_64
Jun 28 13:20:56 Updated: ibus-gtk3-1.5.2-4.fc18.x86_64
Jun 28 13:32:12 Updated: gtk2-immodule-xim-2.24.19-1.fc18.x86_64
Jul 02 14:02:41 Updated: libreport-gtk-2.1.5-1.fc18.x86_64
Aug 04 22:23:44 Updated: gtk3-3.6.4-2.fc18.x86_64
Aug 04 23:01:35 Updated: gtk3-immodule-xim-3.6.4-2.fc18.x86_64
Aug 14 00:51:48 Updated: ibus-gtk2-1.5.3-1.fc18.x86_64
Aug 14 00:55:17 Updated: ibus-gtk3-1.5.3-1.fc18.x86_64
Aug 15 11:21:34 Updated: libnm-gtk-0.9.8.2-1.fc18.x86_64
Aug 23 19:29:20 Updated: libreport-gtk-2.1.6-2.fc18.x86_64
Sep 05 15:02:10 Updated: bluebird-gtk2-theme-0.8-1.fc18.noarch
Sep 05 15:02:46 Updated: bluebird-gtk3-theme-0.8-1.fc18.noarch
Sep 14 22:15:04 Installed: gtk2-debuginfo-2.24.19-1.fc18.x86_64

These are all changes from August 23rd until September 1st:
Aug 23 19:05:38 Installed: rpmfusion-free-release-18-3.noarch
Aug 23 19:08:20 Installed: rpmfusion-nonfree-release-18-3.noarch
Aug 23 19:16:30 Installed: satyr-0.5-2.fc18.x86_64
Aug 23 19:17:29 Installed: fros-1.0-1.fc18.noarch
Aug 23 19:18:04 Updated: libreport-filesystem-2.1.6-2.fc18.x86_64
Aug 23 19:18:43 Updated: libreport-python-2.1.6-2.fc18.x86_64
Aug 23 19:20:15 Updated: libreport-2.1.6-2.fc18.x86_64
Aug 23 19:20:41 Updated: abrt-libs-2.1.6-3.fc18.x86_64
Aug 23 19:22:29 Updated: abrt-2.1.6-3.fc18.x86_64
Aug 23 19:22:53 Updated: libreport-web-2.1.6-2.fc18.x86_64
Aug 23 19:23:58 Updated: abrt-retrace-client-2.1.6-3.fc18.x86_64
Aug 23 19:24:55 Updated: abrt-addon-ccpp-2.1.6-3.fc18.x86_64
Aug 23 19:26:16 Updated: libreport-plugin-ureport-2.1.6-2.fc18.x86_64
Aug 23 19:27:16 Updated: libreport-plugin-bugzilla-2.1.6-2.fc18.x86_64
Aug 23 19:27:53 Updated: libreport-plugin-reportuploader-2.1.6-2.fc18.x86_64
Aug 23 19:29:20 Updated: libreport-gtk-2.1.6-2.fc18.x86_64
Aug 23 19:31:05 Updated: gnome-abrt-0.3.0-2.fc18.x86_64
Aug 23 19:31:56 Updated: libreport-plugin-kerneloops-2.1.6-2.fc18.x86_64
Aug 23 19:33:11 Updated: abrt-addon-kerneloops-2.1.6-3.fc18.x86_64
Aug 23 19:34:02 Updated: abrt-addon-uefioops-2.1.6-3.fc18.x86_64
Aug 23 19:34:54 Updated: abrt-addon-vmcore-2.1.6-3.fc18.x86_64
Aug 23 19:35:36 Updated: abrt-plugin-bodhi-2.1.6-3.fc18.x86_64
Aug 23 19:36:21 Updated: abrt-addon-xorg-2.1.6-3.fc18.x86_64
Aug 23 19:37:19 Updated: abrt-addon-python-2.1.6-3.fc18.x86_64
Aug 23 19:38:17 Updated: abrt-dbus-2.1.6-3.fc18.x86_64
Aug 23 19:39:32 Updated: abrt-gui-2.1.6-3.fc18.x86_64
Aug 23 19:40:23 Updated: libreport-plugin-logger-2.1.6-2.fc18.x86_64
Aug 23 19:40:54 Updated: libreport-fedora-2.1.6-2.fc18.x86_64
Aug 23 19:41:26 Updated: abrt-desktop-2.1.6-3.fc18.x86_64
Aug 23 19:41:54 Updated: libreport-newt-2.1.6-2.fc18.x86_64
Aug 23 19:42:52 Updated: kernel-headers-3.10.9-100.fc18.x86_64
Aug 23 19:48:47 Installed: kernel-3.10.9-100.fc18.x86_64
Aug 29 23:21:50 Updated: 2:nmap-ncat-6.40-1.fc18.x86_64
Aug 29 23:23:26 Updated: etckeeper-1.7-1.fc18.noarch
Aug 29 23:24:40 Updated: gdisk-0.8.7-1.fc18.x86_64
Aug 31 21:03:30 Updated: 2:libwbclient-4.0.9-1.fc18.x86_64
Aug 31 21:05:31 Updated: 2:samba-libs-4.0.9-1.fc18.x86_64
Aug 31 21:06:51 Updated: 2:samba-common-4.0.9-1.fc18.x86_64
Aug 31 21:07:34 Updated: 2:libsmbclient-4.0.9-1.fc18.x86_64
Aug 31 21:08:46 Updated: 2:samba-client-4.0.9-1.fc18.x86_64
Aug 31 21:11:26 Updated: 1:java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc18.x86_64
Sep 01 23:49:23 Updated: wine-filesystem-1.6-1.fc18.noarch
Sep 01 23:50:36 Updated: mesa-libglapi-9.2-0.12.20130610.fc18.x86_64
Sep 01 23:51:01 Updated: mesa-libglapi-9.2-0.12.20130610.fc18.i686
Sep 01 23:52:45 Updated: mesa-libgbm-9.2-0.12.20130610.fc18.x86_64
Sep 01 23:53:44 Updated: mesa-libGL-9.2-0.12.20130610.fc18.x86_64
Sep 01 23:57:37 Updated: wine-core-1.6-1.fc18.x86_64
Sep 01 23:59:06 Updated: wine-common-1.6-1.fc18.noarch
Sep 01 23:59:51 Updated: wine-alsa-1.6-1.fc18.x86_64
Comment 32 Frank Dittrich 2013-09-16 01:43:20 EDT
BTW: I am not sure whether yum.log contains UTC or local time (CET)
Comment 33 Kevin Fenzi 2013-09-21 17:07:12 EDT
ok. Here's something to try next time the issue appears... 

as root: 

gtk-update-icon-cache -f /usr/share/icons/Adwaita/
gtk-update-icon-cache -f /usr/share/icons/hicolor
gtk-update-icon-cache -f /usr/share/icons/gnome
gtk-update-icon-cache -f /usr/share/icons/Mist
gtk-update-icon-cache -f /usr/share/icons/Fedora

After running those, do the crashes stop? That would point us at a icon cache problem...
Comment 34 Fedora End Of Life 2013-12-21 10:36:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 35 Fedora End Of Life 2014-02-05 18:14:04 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.